opennebula (4.12.3+dfsg-3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:48:29 +0000

opennebula (4.12.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * rules: fixed FTBFS on binary-only build.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 19:23:08 +1000

opennebula (4.12.3+dfsg-2) unstable; urgency=low

  * Team upload.

  [ Olivier Berger ]
  * sunstone: added "ruby-builder" to Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 17:38:41 +1000

opennebula (4.12.3+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Dmitry Smirnov ]
  * New upstream release [June 2015] (Closes: #684947, #688913, #700926).
  * Fixed Sunstone startup issues and dependencies (Closes: #743369).
  * opennebula-sunstone/Recommends += "opennebula" (Closes: #709020).
  * Added "debian/missing-sources" and symlinks (Closes: #720038, #737446).
  * opennebula: logrotate (Closes: #726422).
  * New binary packages [opennebula-gate,opennebula-flow].
  * "debian/orig-tar.sh" replaced with copyright/Files-Excluded.
  * java: fixed classpath and ${java:Depends}.
  * opennebula-node: set-up "/var/lib/one/vms" to allow VMS deployment.
  * Don't install scripts to "/var/lib/one/remotes"; make compatibility symlink.
  * Documented some upstream bugs in "debian/BUGS" file.
  * README:
    + added link to release notes.
    + added useful links to Wiki.
  * Modernised packaging (DH/compat to version 9); cleanup.
    + added "debian/gbp.conf".
    + better clean-up after purge.
  * Added new lintian-overrides; dropped obsolete ones.
  * copyright: full review and update.
  * watch:
    + check GitHub for releases.
    + added mangles, repacksuffix.
  * dh-linktree + unbundle [fonts-font-awesome,novnc,websockify,libjs-excanvas].
  * dh-systemd + systemd services.
  * init.d:
    + added "opennebula-novnc.init".
    + declare order/priorities.
    + introduced "status" support (LSB compliance/lintianisation).
    + [flow,sunstone]: delay start in absence of auth files.
  * init.d,postinst: changed group "cloud" --> "oneadmin".
  * Don't use bash-completion deb-helper.
  * .maintscript: remove old conffiles.
  * .postinst:
    + common: suppress "usermod: no changes" warning.
    + fixed permissions.
    + always set HOME owner, not only when user's HOME is created
      to recover from situations when HOME exist with incorrect permissions.
    + tighten permissions on ".ssh"
    + clear dpkg-statoverrides.
    + silence dpkg-statoverride.
    - drop dpkg-statoverrides in favour of ch{own|mod}.
  * rules:
    + improved dh_(auto_)clean overrides.
    + re-build "app.css" with `sass`.
    + build with full hardening.
    + un-minify some files.
    + remove empty dirs.
  * control:
    + updated Vcs-Browser URL.
    + update Breaks/Replaces.
    + re-ordering.
    + Standards-Version: 3.9.6.
  * Build-Depends:
    - bash-completion
    + dh-linktree
    +   fonts-font-awesome
    +   novnc
    +   websockify
    + dh-systemd
    + ruby-sass
    ✓ removed unnecessary versioning.
  * opennebula-node/Depends: replaced transitional "libvirt-bin" with
    "libvirt-daemon-system".
  * ruby-opennebula/Depends += "ruby-nokogiri" (needed by novnc).
  * opennebula-sunstone/Depends: removed "opennebula-common".
  * opennebula-sunstone/Recommends: added commented "ruby-zendesk_api".
  * opennebula/Depends:
    + iptables
    + ipset
    + ruby | ruby-interpreter
      (ruby-script-but-no-ruby-dep)
  * ruby-opennebula/Recommends:
    + ruby-curb
    + ruby-uuidtools
    + ruby-net-ldap
    + ruby-ox
  * Patchworks:
    - gcc_4_7_ftbfs.diff
    - java_oca_for_341.diff
    - linking.diff
    - node_creation_help.diff
    - novnc_path.diff (replaced with symlink)
    - occi_system_jquery.diff
    - occi_usr_share.diff
    - opennebulajson_path.diff
    - ozones_system_jquery.diff
    - ozones_usr_share.diff
    - sunstone_system_jquery.diff
    - sunstone_usr_share.diff
    + 0-correct-shebang.diff
    + build-reproducible.diff
      (to remove timestamps from generated HTML files and man pages)
    + manpages-adjust.diff
    + manpages.diff (fixes "manpage-has-bad-whatis-entry")
    ✓ no_default_arch.diff (rebased/refreshed)
    ✓ ssh_pubkey_info.diff (rebased/refreshed)

  [ Olivier Berger ]
  * New patches:
    + hardcodedxmlrpccflags.diff
    + verbosesconsrecipe.diff

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 13:28:56 +1000

opennebula (3.4.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dependency issue with libxmlrpc-c++ (Closes: 762040)

 -- Olivier Berger <obergix@debian.org>  Tue, 21 Jul 2015 15:44:57 +0200

opennebula (3.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop deprecated rubygems package from dependencies of ruby-opennebula
    (Closes: #735667)
  * Change dependency on thin1.8 to thin (Closes: #731557)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 17 Jan 2014 14:30:58 +0100

opennebula (3.4.1-4) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Add d/patches/java_oca_for_341.diff: Fix Java API (from one-3.4 branch
    in upstream repository).

  [ Martin Steigerwald ]
  * opennebula-sunstone: Add depencency to ruby-rack-protection.
    (Closes: #682670).
  * debian/copyright: Fix lintian warning W: opennebula source:
    syntax-error-in-dep5-copyright line 66: Duplicate field copyright.
  * debian/patches: Added descriptions and authors for some patches
    in order to fix lintian hint quilt-patch-missing-description:
    - sunstone_system_jquery.diff
    - ozones_system_jquery.diff
    - occi_system_jquery.diff

  [ Damien Raude-Morvan ]
  * Acknowledge NMU from gregor herrmann. Thanks!
  * d/control: Bump Standards-Version to 3.9.4.
  * d/rules: Fix FTBFS with latest libxmlrpc3-java.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Aug 2013 15:19:03 +0200

opennebula (3.4.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install, purge, and install again":
    opennebula-common.postinst: make sure that the homedir of the oneadmin
    user exists.
    (Closes: #681567)

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Jul 2012 23:38:02 +0200

opennebula (3.4.1-3) unstable; urgency=low

  * Add support for noVNC to SelfService and Sunstone UI:
    - Closes: #666079, #674583
    - opennebula and opennebula-sunstone now Recommends: novnc.
    - Install links to /usr/share/novnc/include
  * Update d/opennebula.README.Debian for 3.4 release (use oneimage
    to deploy VM image into datastore).
  * d/{postinst,postrm}: Upgrade dpkg-statoverride to handle opennebula 3.4
    datastores.
  * On -node, also add oneadmin user into kvm group.
  * Describe recommended ownership changes to /etc/libvirt/qemu.conf
    in -node.README.Debian (Closes: #673427).
  * d/patches/no_default_arch.diff: Don't default to ARCH=i686 for KVM,
    user will have to choose a default or set this in each template.
    (Closes: #673173).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 26 May 2012 01:21:12 +0200

opennebula (3.4.1-2) unstable; urgency=low

  * Upstream changed default port of Sunstone from 4567 to 9869 (remove
    conflicts with OCCI):
    - Update README.Debian. (Closes: #673013)
    - Update manpage.
  * For people using OpenNebula 2.x from backports describe database upgrade
    in NEWS.Debian. (Closes: #673014)
  * Update ttylinux.tar.gz location in README.Debian. (Closes: #673129).
  * Provide a quick-start documentation on SSL proxy setup for Sunstone.
    (Closes: #673010)
  * Try to rmdir /var/lib/one during package purge. (Closes: #668758).

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 18 May 2012 19:45:43 +0200

opennebula (3.4.1-1) unstable; urgency=low

  * New upstream release:
    - d/patches/default_conf.diff: Drop, transfert manager is now handled
      on a datasatore basis.
    - d/patches/genisoimage.diff: Merged upstream.
    - d/patches/oneacct-system-wide-installation.patch: Merged upstream.
    - Refresh others patches.
    - Update *.install files.
  * Improve OCCI Self-Service UI integration:
    - Install into /usr/share/opennebula/occi/.
    - occi_system_jquery.diff: Use system wide jquery/jqueryui.
    - Add Recommends: libjs-jquery, libjs-jquery-ui for opennebula package.
  * Add Suggests: ruby-uuidtools for econe-server.
  * Install more manpages from upstream

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 11 May 2012 19:27:43 +0200

opennebula (3.2.1-3) unstable; urgency=low

  * Fix FTBFS with GCC-4.7: Add missing include. (Closes: #672092).
  * d/control: Bump Standards-Version to 3.9.3, no changes needed.
  * d/copyright: Use copyright-format 1.0.
  * d/rules: Set occi-server.rb as executable (Closes: #663065).
  * d/opennebula.install: Install VirtualMachineOCCI.rb into
    /usr/lib/one/ruby/cloud/occi/ (Closes: #663072).
  * d/opennebula.install: Install html/js/image files for self-service portal
    (Closes: #663086).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 01 Apr 2012 14:20:40 +0200

opennebula (3.2.1-2) unstable; urgency=low

  * Fix "Overwrites the admin password on upgrades": Merge proposed patch
    from Guido Günther. (Closes: #666050).
  * Fix "File conflict with opennebula 2.2.1-1": Add Breaks/Replaces on
    opennebula (<< 3.2.1-1~) (Closes: #665952).
  * Fix "oneacct does not look in system wide locations for require's":
    Backport upstream fix from bugID:1063 (Closes: #663075).
  * opennebula-node Recommends: openssh-server | ssh-server (Closes: #665948).
  * d/README.Debian: Update for new onehost syntax (Closes: #665975).
  * d/rules: Enable security hardening options and -Wl,--as-needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 01 Apr 2012 13:20:07 +0200

opennebula (3.2.1-1) unstable; urgency=low

  [ Jaime Melis ]
  * New upstream release (3.2.1)
    - New package structure (Closes: #611282)
    - Network drivers (Closes: #657323)
  * Create password after installation
  * Sunstone init script (Closes: #657032 and Closes: #657030)
  * Enable sunstone_system_jquery.diff
  * Explain usage of controller as node (Closes: #657981)

  [ Damien Raude-Morvan ]
  * d/control: Wrap-and-sort.
  * Add lintian-overrides for ruby-script-but-no-ruby-dep
    because ruby-opennebula already depends on ruby | ruby-interpreter.
  * d/copyright: Update to DEP-5 latest release and cleanup.
  * d/opennebula.install: Don't install OCCI UI yet (need more work for
    FHS compliance).
  * d/rules: Add override to cleanup some extra-license-file.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 22 Feb 2012 20:29:46 +0100

opennebula (3.2.0-1) UNRELEASED; urgency=low

  * New upstream release (3.2.0)
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
    - Disable sunstone_system_jquery.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.

 -- Jaime Melis <jmelis@opennebula.org>  Thu, 19 Jan 2012 18:01:12 +0100

opennebula (3.0.0-1) UNRELEASED; urgency=low

  * New upstream release (3.0.0):
    - d/patches/0015-Fix-scons-tests-for-xml-rpc-c-with-gcc-4.6.patch,
    d/patches/0017-Fix-compilation-warnings-with-gcc4.6.patch: Drop, merged
    upstream.
    - Refresh all other patches for changes made upstream.
    - Disable node_creation_help.diff for now.
  * d/opennebula.manpages: Use upstream manpages when available.
  * d/opennebula{,-doc}.install: Old script from /usr/lib/one/remotes/
    and samples hooks, dropped.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 07 Oct 2011 19:58:12 +0200

opennebula (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Cherry-pick some patches from upstream git to fix
    FTBFS with GCC-4.6 (Closes: #628341) :
    - 0015-Fix-scons-tests-for-xml-rpc-c-with-gcc-4.6.patch
    - 0017-Fix-compilation-warnings-with-gcc4.6.patch
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Create new arch:all "opennebula-sunstone" package for OpenNebula
    web GUI.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 28 Jun 2011 00:09:51 +0200

opennebula (2.2-1) UNRELEASED; urgency=low

  * New upstream release:
    - d/patches/fortify-source.diff,
      d/patches/ldflags_build.diff: dropped, merged upstream.
    - d/patches/linking.diff: refreshed.
  * d/copyright: Review for new upstream release (aka sunstone dependencies).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 08 May 2011 02:11:28 +0200

opennebula (2.0.1-6) unstable; urgency=low

  * xmlrpc-c 1.16 transition:
    - d/control: Build-Depends on libxmlrpc-c++4-dev instead of
      libxmlrpc-c3-dev.
    - d/rules: Drop --no-as-needed from DEB_LDFLAGS_APPEND.
      LP: #690779.
  * d/copyright: Upgrade to latest DEP-5 format.
  * d/patches/ldflags_build.diff: Refreshed.
  * d/patches/linking.diff: Explicit linking with libxml2 (ie. reorder LIBS).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 20 Feb 2011 17:55:44 +0100

opennebula (2.0.1-5) unstable; urgency=low

  * d/patches/ldflags_build.diff: Proposed patch from Jaime Melis to allow
    LDFLAGS setting in OpenNebula build process. Will be included in next
    upstream release.
  * d/rules: Use dpkg-buildflags to get LDFLAGS.
    Set DEB_LDFLAGS_APPEND=-Wl,--no-as-needed to fix build with
    no-add-needed linker changes.
  * d/patches/fortify-source.diff: Fix FTBFS when build with
    -D_FORTIFY_SOURCE=2 flag.
  * d/rules: Remove d/opennebula-node.postinst in clean target.
  * d/opennebula-node.postinst.in: opennebula-node on node without libvirt
    but with xen-utils was failing as group `libvirt' does not exist.
    Thanks to Łukasz Oleś for report and patch.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 30 Dec 2010 02:33:32 +0100

opennebula (2.0.1-4) unstable; urgency=low

  * d/opennebula{-node,}.{postint,postrm}: Fix puiparts failure in postrm.
    We cannot rely on adduser being present at package purge time.
    General cleanup of maintainer scripts.
  * d/opennebula-common.postrm: Don't delete user opennebula
    (keep uid/gid permanently) but disable it.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 07 Dec 2010 00:25:50 +0100

opennebula (2.0.1-3) unstable; urgency=low

  * d/control: move Depends on openssh-client from opennebula to
    opennebula-common (for ssh-keygen). Closes: #605110.
  * Using dpkg-statoverride instead of chown for postinst.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 05 Dec 2010 18:05:37 +0100

opennebula (2.0.1-2) unstable; urgency=low

  * d/rules: Fix FTBFS (Closes: #605042) by using dh_listpackages to detect if
    arch all packages (ie. opennebula-node) debhelper commands will act on.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Nov 2010 20:15:09 +0100

opennebula (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * d/rules: Use share/etc/init.d/one.debian as init.d script.
  * Refresh all patches.
  * d/{control, rules}: Allow users of cloud group to launch xm & xmtop
    from xen-utils-common (Closes: #604567):
    - Depends on libvirt-bin | xen-utils-4.0
    - Bump dependencies on sudo to (>= 1.7.2p1) for /etc/sudoers.d feature.
    - Install /etc/sudoers.d/opennebula-node (in opennebula-node package).
  * d/opennebula.install: Install /var/lib/one/remotes
  * d/control: Set Maintainer as Debian OpenNebula Maintainers
    and myself as Uploaders.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 26 Nov 2010 01:52:15 +0100

opennebula (2.0-1) experimental; urgency=low

  * First upload to Debian (Closes: #500716):
    - Drop d/patches/fix_cppflags.diff: Merged upstream.
    - Drop d/*.examples: Already handled by upstream install.sh
  * New upstream release (2.0).
  * d/control: Add Recommends: lvm2, sudo, wget, genisoimage.
    - d/patches/genisoimage.diff: Use genisoimage instead of mkisofs.
  * d/rules, d/opennebula-node.postinst.in: Handle group assignment for
    oneadmin user, libvirt (Debian) and libvirtd (Ubuntu).
  * d/opennebula.{postinst,dirs}: creation of /var/lib/one/images with
    proper permissions.
  * d/control: Suggests libamazonec2-ruby for Amazon EC2 access.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 02 Nov 2010 19:01:04 +0100

opennebula (2.0~rc1-1) UNRELEASED; urgency=low

  * New upstream release (2.0 RC1).
  * Add d/opennebula.README and d/opennebula-node.README as simple
    startup how-to.
  * d/rules: Fix perms for non-executables files.
  * d/opennebula.init: Handle creation of /var/lock.
  * d/patches/default_conf.diff: Switch to tm_ssh as default Transport Manager.
  * d/control: Add Jaime Melis <j.melis@fdi.ucm.es> as Uploader.
  * Disable SSH keys distribution functionality (too much unstable for now):
    - d/patches/series: disable patch.
    - d/rules: Don't chmod shell script.
    - d/opennebula.cron.hourly is disabled.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 18 Oct 2010 20:15:11 +0200

opennebula (2.0~beta1-1) UNRELEASED; urgency=low

  * New upstream release (2.0 beta1):
    - shlib_links.diff: disabled.
    - refreshed other patches.
    - add B-D on libxml2-dev and libxslt1-dev
  * Drop libopennebula1 and libopennebula-dev packages
    (not provided by upstream for this release as OCA binding are preferred)
  * Add Java OCA bindings in libopennebula-java package
    - B-D on libws-commons-util-java, libxmlrpc3-common-java,
      libxmlrpc3-client-java, javahelper, default-jdk
  * Add Java OCA bindings javadoc to libopennebula-java-doc package
  * Enable mysql support:
    - B-D on libmysql++-dev
    - Recommends libmysql-ruby
    - Suggests mysql-server
  * Add "libvirt" and "cloud" group to oneadmin user in postinst.
  * Depends on libsequel-ruby for oneauth (DB access).
  * Rebuild parser/lexer during build:
    - B-D on flex and bison
    - add "parser=yes" option to scons
  * Harden cron.hourly: don't do anything if onehost binary is uninstalled.
  * Set myself as Maintainer and Soren Hansen as Uploaders
  * Install bash completion feature for one* CLI.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 20 Aug 2010 00:50:13 +0200

opennebula (1.4.0-1) UNRELEASED; urgency=low

  * New upstream release (LP: #510904):
    - freecpu_kvm.diff: merged.
    - libvirt_smp.diff: fixed by upstream.
    - kvm_by_default.diff: merged.
    - fix-gcc44-ftbfs.patch: merged.
    - tools_table_output.diff: fixed by upstream.
    - acpi-inverted.diff: fixed by upstream.
    - refreshed other patches.
    - Fixed issues with KVM migration (LP: #323359, #322779)
  * d/control: Add myself tu Uploaders.
  * Switch to 3.0 (quilt) source format.
  * d/control: Improve packages descriptions.
  * d/control: Hardening dependencies between opennebula packages.
  * d/control: Add Depends on rubygems and libpassword-ruby for OCCI API.
  * d/copyright: Use DEP-5 format and complete review.
  * Bump Standards-Version to 3.9.1:
    - d/watch: Add a watch file to monitor upstream releases.
    - d/control: Move libopennebula-dev to libdevel section.
    - Add manpages (from help2man).
    - d/control: Add Vcs-* fields to GIT.
    - d/rules: Don't install /var/run and /var/lock directory
      (created by init script).
  * Switch to dh 7 style for debian/rules.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 01 Aug 2010 17:00:28 +0200

opennebula (1.2-0ubuntu6) karmic; urgency=low

  * debian/patches/fix-gcc44-ftbfs.patch: Fixes FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 26 Oct 2009 22:19:48 -0400

opennebula (1.2-0ubuntu5) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 14:45:27 +0000

opennebula (1.2-0ubuntu4) jaunty; urgency=low

  * Fix "ACPI setting is backwards" (LP: #342183)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 13 Mar 2009 11:00:44 +0100

opennebula (1.2-0ubuntu3) jaunty; urgency=low

  * Add ruby dependency for opennebula-node. (LP: #329258)
  * Always show ssh setup help (LP: #329507)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 20 Feb 2009 13:51:51 +0100

opennebula (1.2-0ubuntu2) jaunty; urgency=low

  * Also distribute known_hosts through the key distribution mechanism.
    (LP: #331838)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 20 Feb 2009 10:50:18 +0100

opennebula (1.2-0ubuntu1) jaunty; urgency=low

  * Update to new upstream release.
  * Add missing debhelper snippet in opennebula's postinst.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 11 Feb 2009 13:46:03 +0100

opennebula (1.1.85+svn329-0ubuntu5) jaunty; urgency=low

  * Fix broken call to chown in opennebula's postinst.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 06 Feb 2009 10:16:27 +0100

opennebula (1.1.85+svn329-0ubuntu4) jaunty; urgency=low

  * It turns out that the nodes also benefit from having an SSH key,
    so move the key generation code to opennebula-common.
  * ssh_pubkey_info.diff:
    - Add ssh_pubkey.sh which extracts the remote oneadmin user's ssh
      public key, so that it's available in the host info.
    - Add ssh_pubkey.sh to list of probes to run for kvm hosts.
  * Add an hourly cronjob to the opennebula package that extracts the
    public keys for each host, and generates a distribution script for
    them, which is then run on each host using the monitoring mechanism.
    This way, the oneadmin users on every host can ssh to all others.
  * tools_table_output.diff:
    - Change the onevm, onehost, and onevnet table output slightly to
      make it more easily parsable.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 30 Jan 2009 17:04:23 +0100

opennebula (1.1.85+svn329-0ubuntu3) jaunty; urgency=low

  * Fix up some missing debhelper bits in maintainer scripts.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 29 Jan 2009 00:22:13 +0100

opennebula (1.1.85+svn329-0ubuntu2) jaunty; urgency=low

  * freecpu_kvm.diff:
    - Return the correct amount of free and used cpu for kvm hosts.
      (ie. adjust for number of CPU's).
  * libvirt_smp.diff:
    - Add an optional VCPU parameter to the VM definitions, letting the
      user specify the number of virtual CPU's to give to the VM.
      If not given, round up the CPU setting to the nearest integer, and
      use that instead.
  * shlib_links.diff:
    - Make liboneapi.so.1.2 the real file and the .so.1 and .so the
      symlinks.
  * Fix speling mistaek in node_creation_help.diff. (LP: #322211)

 -- Soren Hansen <soren@ubuntu.com>  Wed, 28 Jan 2009 23:49:40 +0100

opennebula (1.1.85+svn329-0ubuntu1) jaunty; urgency=low

  * Initial upload.
  * Patches included:
    - kvm_by_default.diff:
      + Changes the shipped configuration file to default to kvm.
    - node_creation_help.diff:
      + Output some extra information from "onehost create" that
        should help the process of adding new nodes.
  * Added man pages (generated by help2man).
  * Made scons clean targets (and hence debian/rules clean) not fail in the
    absence of libxmlrpc.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 19 Jan 2009 13:29:05 +0100

